Create a singer style (Persona)
Endpoint: POST https://4zapi.com/suno/submit/persona
Create a Persona from an existing clip for reuse in task=artist_consistency and similar flows.
Request body (application/json)
root_clip_id(string, required): Source song clipId; clip_id can also be useduser_input_styles(string, required): Style description; tags can be used insteadvocal_end_s(integer, required): The ending second of the vocal segment must be greater than startvocal_start_s(integer, required): Vocal clip starting seconds
Request example
{
"root_clip_id": "518d910f-a6b7-43fc-9f65-c9f116f3f8a3",
"user_input_styles": "pop,female voice",
"vocal_end_s": 30,
"vocal_start_s": 10
}